NRubic = newRolloutFloater "NRubik" 145 235
rollout Rubic "Select and rotate"
(
	button GL_bt "<" across:3 
	colorpicker greena_cp width:30 color:[0,126,0] enabled:false
	button GR_bt ">"
	button OL_bt "<" across:3
	colorpicker Orange_cp width:30 color:[255,128,0] enabled:false
	button OR_bt ">"
	button RL_bt "<" across:3
	colorpicker Red_cp width:30 color:[255,0,0] enabled:false
	button RR_bt ">"
	button BL_bt "<" across:3
	colorpicker Blue_cp width:30 color:[30,0,255] enabled:false
	button BR_bt ">"
	button WL_bt "<" across:3
	colorpicker Wite_cp width:30 color:[255,255,255] enabled:false
	button WR_bt ">"
	button YL_bt "<" across:3
	colorpicker Yellow_cp width:30 color:[255,255,0] enabled:false
	button YR_bt ">"
	--------------------------------------------------------------------------------------------------------------------------------------
	function selectface  selectioncolor side=
	(
		set animate on
		clearselection()
		execute ("select (for o in Geometry where distance o $Rubic" + selectioncolor + "faces < 15 and o.name.count > 7 collect o)")
		execute ("mynut = $Rubic_" + selectioncolor)
		for i = 1 to selection.count do selection[i].transform.controller.AddTarget mynut slidertime
		select $Rubic*	
		select (for o in selection where o.name.count == 7 collect o)
		addNewKey selection slidertime #select
		if animationRange.end < slidertime + 3 do animationRange = interval animationRange.start (slidertime + 3)
		slidertime = slidertime + 3
		if side == "R" then deg = 90 else deg = (-90)
		if selectioncolor == "G" do Ax = [-1,0,0]
		if selectioncolor == "O" do Ax = [0,1,0]
		if selectioncolor == "R" do Ax = [1,0,0]
		if selectioncolor == "B" do Ax = [0,-1,0]
		if selectioncolor == "W" do Ax = [0,0,-1]
		if selectioncolor == "Y" do Ax = [0,0,1]	
		rotate mynut (angleaxis deg Ax)
		set animate off
	)
    ---------------------------------------------------------------------------------------------------------------------------------------	
	on Rubic open do
	(
		frameRate = 25
		slidertime = 0
		holdMaxFile()
	)
	on GL_bt pressed do selectface "G" "L"
	on GR_bt pressed do selectface "G" "R"
	on OL_bt pressed do selectface "O" "L"
	on OR_bt pressed do selectface "O" "R"
	on RL_bt pressed do selectface "R" "L"
	on RR_bt pressed do selectface "R" "R"	
	on BL_bt pressed do selectface "B" "L"
	on BR_bt pressed do selectface "B" "R"
 	on WL_bt pressed do selectface "W" "L"
	on WR_bt pressed do selectface "W" "R"
	on YL_bt pressed do selectface "Y" "L"
	on YR_bt pressed do selectface "Y" "R"
)
rollout More_ro "More"
(
	button reset_bt "Reset"
	on reset_bt pressed do fetchMaxFile quiet:on
)
rollout About_ro "About Us"
(
	Label Thanks_A "Thanks From all" 
	Label Thanks_B "Firfira studio members" 
	hyperLink myweblog "NevilArt.BlogSpot.Com" color:[0,0,255] hoverColor:[200,50,50] visitedColor:[128,128,128]address:"http://NevilArt.BlogSpot.Com"
	on About_ro open do 
	(
		More_ro.open = false
		About_ro.open = false
	)
)
addRollout Rubic NRubic
addRollout More_ro NRubic
addRollout About_ro NRubic